Skip to content

Get Daily Horoscopes

GET
/api/horoscope/daily/{date}

Retrieve daily horoscopes for all zodiac signs for a specific date.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

date*
Type
string
Required
Pattern
"^\\d{4}-\\d{2}-\\d{2}$"

Responses

Daily horoscopes for all zodiac signs

application/vnd.api+json
JSON
{
  
"data": {
  
  
"type": "daily-horoscope",
  
  
"attributes": {
  
  
  
"date": "string",
  
  
  
"language": "string",
  
  
  
"horoscopes": {
  
  
  
  
"additionalProperties": {
  
  
  
  
  
"sign": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"body": "string",
  
  
  
  
  
"metadata": null
  
  
  
  
}
  
  
  
}
  
  
}
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation